import { CoachMarkPopover } from './coach-mark-popover';

describe('<CoachMarkPopover />', () => {
  const props = {
    isOpen: false,
    toggle: () => {},
    target: 'element',
  };

  const wrapper = shallow(<CoachMarkPopover {...props} id={props.target}><p>p</p></CoachMarkPopover>);

  test('should match snapshot', () => {
    expect(wrapper).toMatchSnapshot();
  });

  test('should have fade state after mount', () => {
    expect(wrapper.state().fade).toBe(true);
  });
});
