import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, boolean } from '@storybook/addon-knobs';
import { Header } from './header';
import '../../theme/light.scss';

storiesOf('Header', module)
  .addDecorator(withKnobs)
  .add('Header', () => <Header isWhite={boolean('isWhite', false)}>children content</Header>)
  .add('Header stretched', () => <Header isStretched>For all the width of screen baby</Header>)
  .add('Header solid', () => <Header isSolid>children content</Header>);
